%if 0%{?fedora}
%global java_devel java-devel
%endif

%if 0%{?rhel}
%global java_devel java7-devel
%endif

%global product_name Reports package for oVirt Virtualization Management
%global product_description oVirt virtualization reports

%global engine_name rhevm
%global reports_name ovirt-engine-reports
%global reports_jasper_suffix -pro
%global reports_java %{_javadir}/%{reports_name}
%global engine_group ovirt
%global engine_user ovirt

%global make_common_opts \\\
	-j1 \\\
	BUILD_VALIDATION=0 \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	OVIRT_REPORTS_NAME=%{reports_name} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	LOCALSTATE_DIR=%{_localstatedir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	JAVA_DIR=%{_javadir} \\\
	PKG_JAVA_DIR=%{reports_java} \\\
	PKG_LOG_DIR=%{_localstatedir}/log/%{reports_name} \\\
	PKG_STATE_DIR=%{_localstatedir}/lib/%{reports_name} \\\
	%{?BUILD_FLAGS:BUILD_FLAGS="%{BUILD_FLAGS}"} \\\
	%{?EXTRA_BUILD_FLAGS:EXTRA_BUILD_FLAGS="%{EXTRA_BUILD_FLAGS}"}

Name:		rhevm-reports
Version:	3.4.2
Release:	1%{?release_suffix}%{?dist}
License:	AGPLv3
Summary:	%{product_name}
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source0:	http://ovirt.org/releases/stable/src/ovirt-engine-reports-3.4.4_master.tar.gz
Source1:	rhevm-reports-3.4.2.20140806100516_master.tar.gz

BuildRequires:	jasperreports-server%{reports_jasper_suffix} >= 5.5.0-9
BuildRequires:	%{java_devel}
BuildRequires:	jpackage-utils
BuildRequires:	log4j
BuildRequires:	make
BuildRequires:	ant

Requires:	%{name}-setup >= %{version}-%{release}
Requires:	jasperreports-server%{reports_jasper_suffix} < 5.6.0
Requires:	jasperreports-server%{reports_jasper_suffix} >= 5.5.0-9
Requires:	java
Requires:	jpackage-utils
Requires:	logrotate
Requires:	m2crypto
Requires:	%{engine_name} >= 3.4.0
Requires:	patch

# bug#862355
Requires:	liberation-mono-fonts

%description
The %{product_description} package provides a suite of
pre-configured reports and dashboards that enable you to
monitor the system. The reports module is based on
JasperReports and JasperServer, and can also be used to create
ad-hoc reports.

%package setup
Summary:	%{product_name} setup
Group:		Virtualization/Management
Requires:	cracklib-python
Requires:	libxml2-python
Requires:	%{engine_name}-dwh-setup
Requires:	%{engine_name}-setup-plugin-ovirt-engine-common
Requires:	python

%description setup
%{product_description} setup package.

%prep
%setup -c -T -a 1 -n pro-parts
%setup -c -T -a 0 -n ovirt-reports

%build
make %{make_common_opts}
make -C ../pro-parts %{make_common_opts}

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install DESTDIR="%{buildroot}"
make -C ../pro-parts  %{make_common_opts} install DESTDIR="%{buildroot}"

# Compile python files
%{__python} -m compileall -f -q -d / "%{buildroot}"
%{__python} -O -m compileall -f -q -d / "%{buildroot}"

#
# /var creation
#
install -dm 755 "%{buildroot}/%{_localstatedir}/lib/%{reports_name}"
install -dm 755 "%{buildroot}/%{_localstatedir}/log/%{reports_name}"

#
# Packaging branding
#
%if "%{name}" != "%{reports_name}"
ln -s "%{reports_name}" "%{buildroot}%{_javadir}/%{name}"
%endif

%postun
if [ "$1" -eq 0 ]; then
	rm -rf /var/lib/ovirt-engine-reports/%{reports_name}.war
	rm -f /var/lib/ovirt-engine/reports.xml
fi

%files
%config(noreplace) %{_sysconfdir}/logrotate.d/ovirt-engine-reports
%dir %attr(-, %{engine_user}, %{engine_group}) %{_localstatedir}/lib/%{reports_name}
%dir %attr(-, %{engine_user}, %{engine_group}) %{_localstatedir}/log/%{reports_name}
%{_localstatedir}/lib/ovirt-engine-reports/backups/
%{_sysconfdir}/ovirt-engine/engine.conf.d/20-ovirt-engine-reports.conf
%{_sysconfdir}/ovirt-engine/engine.conf.d/20-rhevm-reports-license.conf
%{reports_java}
%{_datadir}/%{reports_name}
%if "%{name}" != "%{reports_name}"
%{_javadir}/%{name}
%endif

%files setup
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/reports*
%{_datadir}/ovirt-engine/setup/plugins/*/ovirt-engine-reports/
%{_sysconfdir}/ovirt-engine-setup.conf.d/20-packaging-rhevm-reports.conf

%changelog
* Wed Aug 8 2014 Shirly Radco <sradco@redhat.com> - 3.4.1
Fixed issues:
- remove war file for new db (#1124383)
- add reports to versionlock

* Wed Jul 30 2014 Shirly Radco <sradco@redhat.com> - 3.4.1
Fixed issues:
- do not provide default theme (#1112641)

* Tue Jul 8 2014 Shirly Radco <sradco@redhat.com> - 3.4.1
Fixed issues:
- disable Spring integration in JRS pro (#1117190)

* Tue Jun 24 2014 Shirly Radco <sradco@redhat.com> - 3.4.1
Fixed issues:
- remove war file for new db (#1072357)

* Mon Jun 9 2014 Shirly Radco <sradco@redhat.com> - 3.4.1
oVirt 3.4.2 GA release.

Fixed issues:
-  Move JASPER_HOME init to common (#1098149)

* Wed May 7 2014 Shirly Radco <sradco@redhat.com> - 3.4.0
Fixed issues:
- Removing build-conf files on failure(#1091700 / #1084749)
- Do not check jasper home existance (#1093360)
- added leading question mark to dist tag (#1094024)

* Tue Apr 29 2014 Yaniv Dary <ydary@redhat.com> - 3.4.0
Fixed issues:
- Ask to config only during setup (#1080431)

* Wed Apr 23 2014 Yaniv Dary <ydary@redhat.com> - 3.4.0
fixed issue with log4j JRS patch (#1083501)

* Tue Apr 1 2014 Yaniv Dary <ydary@redhat.com> - 3.4.0
Fixed issues:
- Added strandard logrotate config file for JRS log.
- set legacy reports war from env (#1077775)

* Mon Mar 24 2014 Yaniv Dary <ydary@redhat.com> - 3.4.0
Fixed issues:
- 'Install' is now 'Configure' in DWH/Reports questions (#1064876)
- fix typo in manual instructions (#1067548)

* Tue Mar 11 2014 Yaniv Dary <ydary@redhat.com> - 3.4.0
oVirt 3.4.0 GA release.

Fixed issues:
1017183 - Wrong reference in error message
1031612 - BR18 - the numbers of OSs are incorrect

* Mon Feb 17 2014 Yaniv Dary <ydary@redhat.com> - 3.4.0
- Moved war customization to patches instead of overwrites
- Moved to otopi setup.
- Admin user name is now 'admin' in clean installations.
- A new folder called 'Saved Reports' is now saved between upgrades.
* Mon Feb 03 2014 Yaniv Dary <ydary@redhat.com> - 3.3.1
Fixed issues:
- remote user password is asked twice for authentication (#1057277)
- BR18 - the numbers of OSs are incorrect (#1059268)

* Mon Jan 13 2014 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issue:
When upgrading from 3.2/3.1 and using postgres user as remote user, setup fails. (#1049468)

* Wed Dec 18 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issues:
- update error handling in remote DB flow (#1039946)
- update reports DB schema on major release upgrade (#1043530)
- backup DB and WAR on upgrade (#1043314)
- rename config values to match engine convention (#1043957)
- remove 10-setup-database-reports.conf from package (#1043957)
- rename engine-reports.conf.d to ovirt-engine-reports.conf.d (#1043957)

* Mon Dec 09 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issue:
- changed db name to branded (#1039459)

* Tue Dec 03 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issues:
- Refixed update remote DB creation instructions (#1021556)
- Fixed br18 os detection (#1031612)

* Tue Nov 26 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issue:
- fixed redirect to reports to not show resend dialog (#1033090)

* Sun Nov 24 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issues:
- removed servlet that causes error at JBoss start
- update db cleanup instructions (#1027378)
- set correct umask for execution

* Thu Nov 21 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issues:
- returned basic auth to html login chain (#1020340)
- enable full text in ods export format (#722819)
- updated default theme to have correct favicon
- updated JRS branded translation files

* Wed Nov 13 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed the following setup issues:
update DB configuration reading (#1026089)
update psql version detection
add answerfile option (#1025339)

* Wed Nov 06 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed the following setup issues:
- Fixed the engine database name parameter (#1024797)
- Added remote DB/user creation instructions (#1021556)
- Added check for existing configuration files (#1026091)
- Fixed prompting the admin password (#1026093)

* Thu Oct 31 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Changed the db dict get method (#1024797)

* Tue Oct 29 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Updated admin user password prompt.
Also fixed issues:
- Applied temporary fix for SSO solution (#1020340)
- Made customizations compatible with JRS 5.5 GA (#1010680)

* Wed Oct 23 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issue:
986734 - require specific JRS 5.5.0 package

* Tue Oct 15 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issues:
- only update lang on systems with postgres >9.2 (#1011549)
- added systemd support (#1011546)

* Tue Oct 08 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed:
- stop and warn if setup is not run as root user (#853957)

* Tue Sep 24 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Updated localiztion files (#963652)

* Mon Sep 16 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed customizations to work with JRS 5.5 Drop 2.
Also added various history columns to domains\topics.

* Mon Sep 09 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed verious installation issues with engine otopi setup.
Setup now works in clean local\remote setup of 3.3.
Also made changes needed for JRS 5.5 rebase.

Bug fixed:
990942 - reports setup fails after running otopi engine setup
967349 - PRD33 - rebase jasper server to 5.x

* Mon Jul 15 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Refixed issues:
- 977830 - reslove logging issues with JRS
- 977111 - added restart of httpd service to reload proxy

* Tue Jul 09 2013 Yaniv Dary <ydary@redhat.com> - 3.3.0
Fixed issues:
- 970545 - ovirt-engine-reports-setup doesn't support option --help
- 973675 - [rhevm-reports] - Setup - Incorrect installation instructions for dwh (ovirt-engine-dwh-setup)
- 974152 - ovirt xml configuration needs a password update
- 975812 - [rhevm-reports] - Uninstall - Dashboard Tab is not removed from Webadmin (Uninstall DWH+Reports)
- 977111 - [rhevm-reports_33] - Reports - Reports Portal is unavailable

* Mon May 27 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Fixed issue:
967276 - BR9 - Report gives exception

* Wed May 08 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Fixed issue:
952469 - [ja_JP] [zh_CN] [Reports Portal] Dashboard -> garbled text

* Wed May 08 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Fixed issue:
952438 - [fr-FR] - [Reports Portal] - View-Search Results - Inventory Dashboard/Run and /Open in Designer

* Thu Mar 21 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Updated manifest file and localization files.

Fixed issues:
921446 - [rhevm-reports] - Update manifest file for 3.2
918075 - [rhevm-reports] - Input Controls and Reports Unites Complete Localization of RHEVM Reports

* Thu Feb 28 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Fixed issues:
906282 - [rhevm-reports] - Ad Hoc - Create new Ad Hoc Report Doesn't display version "3.2"
910778 - [rhevm-reports] - BR45 - Report Displays VM session Date without Time (Users' Spice Sessions Activity)
912302 - [rhevm-reports] - BR46 - Displays Incorrect data (Single Virtual Machine Uptime (BR46))
913081 - [rhevm-reports] - RFE BR44 - Calculate the correct time for a partial hour or less than 1Hour (CCP (certified cloud provider) report)
913084 - [rhevm-reports] - RFE - Reports - Incorrect values list order for all reports with IC "Period Range"

* Thu Feb 21 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Fixed issue:
906282 -[rhevm-reports] - Ad Hoc - Create new Ad Hoc Report Doesn't display version "3.2"

* Tue Feb 05 2013 Yaniv Dary <ydary@redhat.com> - 3.2.0
Issues fixed:
- 870017 - When clicking on "Need help logging in?" in the jasperserver login page it displays the default jasper credentials and not the rhevm ones.
- 892306 - [rhevm-reports] - Input Controls and Reports Unites Complete Localization of RHEVM Reports
- 892940 - [rhevm-reports] Webadmin Dashboard - Cluster dashboard contains " in charts headlines
- 894684 - [rhevm-reports] Webadmin Reports Menu - Missing reports (BR44,BR47,BR45)
- 901418 - [ja][zh] [rhevm-reports] Local strings displayed as square in 'Active Virtual Machines' OS Over Time' report.

* Thu Dec 27 2012 Yaniv Dary <ydary@redhat.com> - 3.2.0
- report now work with 3.2 dwh views.
- some reports feature interactive tables.

New features and issues fixed:
871737 - fixed br2c network chart tooltip
871751 - fixed br23 chart tooltip
882648 - [rhevm-reports] newly created Ad Hoc View shows non-formatted field names
772918 - PRD32 - RFE - Storage Inventory Report - New report
854949 - PRD32 - [rhevm-reports] - Dashboard - RFE - DC Dashboard should display Storage Domains count
862019 - PRD32 - rhevm-reports should be able to report uptime against virtual machines, in addition to cluster
873238 - [rhevm-reports] Webadmin Dashboard - Cluster Dashboard headline covers the Cluster's status (DR13)
876085 - [rhevm-reports] - BR10 - doesnt display IO chart in "Resource Usage of VM..." -> Top 5 busiest Disk Usage" correctly
880581 - PRD32 - [RFE] [rhevm-reports] Report Daily list of people logged into Spice consoles and their activity
883137 - PRD32 - [RFE] [rhevm-reports] CCP (certified cloud provider) report
* Sun Nov 4 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
- Update
* Wed Feb 15 2012 Yaniv Dary <ydary@redhat.com> - 3.0.2
- Initial Commit
